[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Rdo-list] RE(3): Packstack (Kilo AIO) failure on F22 due to patch "Run neutron db sync also for each neutron module"



Appears to be old bug on Fedoras.

Workaround :-
# chown neutron:neutron /etc/neutron/plugins/ml2/ml2_conf.ini
Restart packstack.
It seems as regression.


From: bderzhavets hotmail com
To: lbezdick redhat com
Date: Sun, 2 Aug 2015 09:59:50 -0400
CC: rdo-list redhat com
Subject: [Rdo-list] Packstack (Kilo AIO) failure on F22 due to patch "Run neutron db sync also for each neutron module"

Packstack fails running neutron.pp :-

Applying 192.168.1.78_glance.pp
Applying 192.168.1.78_cinder.pp
192.168.1.78_keystone.pp:                            [ DONE ]      
192.168.1.78_glance.pp:                              [ DONE ]      
192.168.1.78_cinder.pp:                              [ DONE ]      
Applying 192.168.1.78_api_nova.pp
192.168.1.78_api_nova.pp:                            [ DONE ]      
Applying 192.168.1.78_nova.pp
192.168.1.78_nova.pp:                                [ DONE ]  
Applying 192.168.1.78_neutron.pp
192.168.1.78_neutron.pp:                          [ ERROR ]       
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.1.78_neutron.pp
Notice: /Stage[main]/Neutron::Db::Sync/Exec[neutron-db-sync]/returns: oslo_config.cfg.ConfigFilesNotFoundError: Failed to find some config files: /etc/neutron/plugin.ini
You will find full trace in log /var/tmp/packstack/20150802-152714-YfHYnQ/manifests/192.168.1.78_neutron.pp.log
Please check log file /var/tmp/packstack/20150802-152714-YfHYnQ/openstack-setup.log for more information

However , /etc/neutron/plugin.ini is in place at the moment of crash.
Disabling  mentioned patch (0012)  in  spec file of openstack-puppet-modules-2015.1.9-3.fc23.src.rpm 
and rebuilding&&reinstall  package  openstack-puppet-modules-2015.1.9-3.fc22.noarch.rpm, allows
to complete neutron.pp successfully.

Next fails swift.pp
Applying 192.168.1.78_provision_glance
192.168.1.78_swift.pp:                            [ ERROR ]              
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.1.78_swift.pp
Error: Could not get latest version: undefined method `[]' for nil:NilClass

I've just set  CONFIG_SWIFT_INSTALL=n to complete packstack successfully.

Thanks.
Boris.

_______________________________________________ Rdo-list mailing list Rdo-list redhat com https://www.redhat.com/mailman/listinfo/rdo-list To unsubscribe: rdo-list-unsubscribe redhat com

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]